<nz-page-header>
  <nz-page-header-title>
    <nz-breadcrumb>
      <nz-breadcrumb-item><a routerLink="/">{{ "Common.Homepage" | translate }}</a></nz-breadcrumb-item>
      <nz-breadcrumb-item>{{ "Common.Maps.Map" | translate }}</nz-breadcrumb-item>
    </nz-breadcrumb>
  </nz-page-header-title>
</nz-page-header>

<nz-divider></nz-divider>

<div nz-row nzGutter="12">
  <div nz-col nzXs="24" nzSm="24" nzXl="16">
    <app-map *ngIf="currentRegion" mapHeight="60vh" circleRadius="6"
      [midPoint]="{ x: currentRegion.x, y: currentRegion.y }" [incomingUpdateRegionsEvent]="updateRegionsEvent">
    </app-map>
  </div>
  <div nz-col nzXs="24" nzSm="24" nzXl="8" style="text-align: center;">
    <h3>{{ "Common.Maps.Filters" | translate }}</h3>
    <nz-select style="width: 100%" nzShowSearch nzAllowClear nzPlaceHolder="Filters" [(ngModel)]="filterType"
      (ngModelChange)="onFilterTypeChange()">
      <nz-option nzLabel="Politics" nzValue="politics">{{ "Common.Maps.PoliticsMap" | translate }}</nz-option>
      <nz-option nzLabel="Resources" nzValue="resources">{{ "Common.Maps.ResourcesMap" | translate }}</nz-option>
    </nz-select>
    <nz-divider></nz-divider>

    <h3>{{ "Common.Maps.Legend" | translate }}</h3>

    <div *ngIf="filterType === 'politics'">
      <div nz-row nzGutter="6">
        <div nz-col nzSpan="6" *ngFor="let item of ['Color', 'Flag', 'Name', 'Regions count']">
          {{ item }}
        </div>
      </div>

      <div nz-row nzGutter="6" *ngFor="let item of countriesColors">
        <div nz-col nzSpan="6">
          <div style="width: 20px; height: 20px; margin-left: 44%" [style.color]="item.color"
            [style.background-color]="item.color">A</div>
        </div>
        <div nz-col nzSpan="6">
          <img [src]="item.flag" width="20" height="20" />
        </div>
        <div nz-col nzSpan="6">
          {{ item.name }}
        </div>
        <div nz-col nzSpan="6">
          {{ item.regionsCount }}
        </div>
      </div>
    </div>

    <div *ngIf="filterType === 'resources'">
      <nz-select style="width: 100%" nzShowSearch nzAllowClear nzPlaceHolder="Item" [(ngModel)]="selectedResource"
        [nzCustomTemplate]="selectedItemTemplate" (ngModelChange)="loadResourceData()">
        <nz-option *ngFor="let data of resources" nzLabel="{{'Economy.' + data.symbol | translate}}" [nzValue]="data"
          nzCustomContent>
          <img [src]="data.value" width="20" height="20" />
          {{ 'Economy.' + data.symbol | translate }}
        </nz-option>
      </nz-select>
      <ng-template #selectedItemTemplate let-selected>
        <span *ngIf="selectedResource">
          <img src="{{ selectedResource.value }}" width="25" height="25" />
          {{ 'Economy.' + selectedResource.symbol | translate }}
        </span>
      </ng-template>
      <nz-divider></nz-divider>
      <div nz-row nzGutter="6">
        <div nz-col nzSpan="8">
          <h4>{{ "Common.Quality" | translate }}</h4>
        </div>
        <div nz-col nzSpan="8">
          <h4>{{ "Common.Color" | translate }}</h4>
        </div>
        <div nz-col nzSpan="8">
          <h4>{{ "Economy.Market.Amount" | translate }}</h4>
        </div>
      </div>
      <div nz-row nzGutter="6" *ngFor="let item of resourceQualityColors">
        <div nz-col nzSpan="8">
          <span style="color: gold" innerHtml="{{ item.quality | q }}"></span>
        </div>
        <div nz-col nzSpan="8">
          <div style="width: 20px; height: 20px; margin-left: 44%" [style.color]="item.color"
            [style.background-color]="item.color">A
          </div>
        </div>
        <div nz-col nzSpan="8">
          {{ item.count }}
        </div>
      </div>
    </div>
  </div>
</div>
